## org.eclipse.emf.cdo
Interface CDONotification

All Superinterfaces:
  org.eclipse.emf.common.notify.Notification

All Known Subinterfaces:
  CDODeltaNotification, CDOInvalidationNotification

    public interface CDONotification

extends org.eclipse.emf.common.notify.Notification

TODO Simon: JavaDoc

Since:
  2.0

Field Summary
`static int` `DETACH_OBJECT` TODO Simon: JavaDoc
`static int` `EVENT_TYPE_CDO_START` TODO Simon: JavaDoc
`static int` `INVALIDATE` TODO Simon: JavaDoc

Fields inherited from interface org.eclipse.emf.common.notify.Notification
`ADD, ADD_MANY, CREATE, EVENT_TYPE_COUNT, MOVE, NO_FEATURE_ID, NO_INDEX, REMOVE, REMOVE_MANY, REMOVING_ADAPTER, RESOLVE, SET, UNSET`

Method Summary

Methods inherited from interface org.eclipse.emf.common.notify.Notification

`getEventType, getFeature, getFeatureID, getNewBooleanValue, getNewByteValue, getNewCharValue, getNewDoubleValue, getNewFloatValue, getNewIntValue, getNewLongValue, getNewShortValue, getNewStringValue, getNewValue, getNotifier, getOldBooleanValue, getOldByteValue, getOldCharValue, getOldDoubleValue, getOldFloatValue, getOldIntValue, getOldLongValue, getOldShortValue, getOldStringValue, getOldValue, getPosition, isReset, isTouch, merge, wasSet`

Field Detail

### EVENT_TYPE_CDO_START

    static final int EVENT_TYPE_CDO_START

  TODO Simon: JavaDoc

  See Also:
    Constant Field Values

### DETACH_OBJECT

    static final int DETACH_OBJECT

  TODO Simon: JavaDoc

  See Also:
    Constant Field Values

### INVALIDATE

    static final int INVALIDATE

  TODO Simon: JavaDoc

  See Also:
    Constant Field Values

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.